Pale Moon 29.2.0 ei enää tue vanhoja Firefox -laajennuksia, joita ei ole siirretty

Kun Mozilla siirtyi vanhasta lisäosajärjestelmästään WebExtensionsiin, Firefox-haarukoiden, kuten Pale Moon, käyttäjien määrä kasvoi, jotka halusivat jatkaa laajennusten käyttöä, joita Mozillan uusi järjestelmä ei enää tukenut. Kaikki laajennukset eivät toimineet, mutta monet toimivat, ja käyttäjät voivat jatkaa näiden laajennusten käyttöä.

Pale Moon 29.2.0: n julkaisu muuttaa selaimen laajennusten yhteensopivuutta merkittävästi, koska se poistaa tuen vanhoille Firefox -laajennuksille, joita ei ole säädetty toimimaan Pale Moon -selaimen kanssa. Pale Moon on saatavilla tällä hetkellä noin 230 laajennusta Pale Moon -lisäosien virallinen verkkosivusto , mukaan lukien suosittuja laajennuksia, kuten Decentraleyes, uBlock Origin (Legacy) tai FoxyProxy.

Mukaan Pale Moon -projektin omistajan Moonchildin foorumiviestissä kehitysryhmä piti Firefox -laajennusten tukea aina tilapäisenä. Klassisia Firefox -laajennuksia ei ehkä asenneta ollenkaan Pale Mooniin tai ne voivat aiheuttaa yhteensopivuusongelmia, ja tämä on yksi tärkeimmistä syistä estää klassiset Firefox -laajennukset Pale Moon 29.2.0: ssa.

vaalea kuu 29.2.0 lisäosien yhteensopivuus

Laajennukset, jotka eivät ole yhteensopivia, voidaan siirtää, jotta ne ovat yhteensopivia Pale Moon -selaimen kanssa, mutta kuka aikoo tehdä sen? Pale Moon -projektiryhmälle vastaus on selvä. Yhteisön on tehostettava toimintaansa varmistaakseen, että niiden käyttämät laajennukset ovat yhteensopivia selaimen kanssa. Realistisesti useimmat selaimen käyttäjät eivät tiedä, miten luoda selainlaajennuksia tai muokata niitä toimimaan. Pale Moon -tiimi ei myöskään voi siirtää suurinta osaa selainlaajennuksista selaimeen, mikä jättää pienelle ryhmälle yhteisön jäseniä taitoja ja aikaa siirtää joitakin laajennuksia selaimeen.

Ketju on saatavilla virallisella Pale Moon -foorumilla osoitteeseen lähettää kriittisiä vain Firefox-laajennuksia .

Pale Moon -käyttäjät voivat jatkaa selaimen versiota 29.1.1 tilapäisenä toimenpiteenä jatkaa laajennusten käyttöä, jotka muuten poistettaisiin käytöstä Pale Moon 29.2.0: ssa tai uudemmassa. Hyvä vaihtoehto yhteensopivuuden testaamiseen on käyttää Pale Moon 29.2.0: n kannettavaa kopiota ja testata laajennuksen yhteensopivuus kyseisessä versiossa nähdäksesi, mitkä asennetut laajennukset ovat edelleen yhteensopivia ja mitkä eivät. Pale Moon -version päivittämistä aiempaan versioon 29.2.0 -päivityksen asentamisen jälkeen ei suositella, koska se voi aiheuttaa profiilin yhteensopivuusongelmia.

Pale Moon 29.2.0 julkaistiin 27. huhtikuuta 2021 .

Nyt sinä : käytätkö Pale Moonia? Vaikuttaako yhteensopivuusmuutos sinuun?